#
# Conditional build:
%bcond_without	tests		# build without tests

%define		realname msn-pecan
Summary:	Alternative MSN protocol plugin for libpurple
Name:		libpurple-protocol-%{realname}
Version:	0.1.3
Release:	1
License:	GPL v2+
Group:		Applications/Networking
URL:		http://code.google.com/p/msn-pecan/
Source0:	http://msn-pecan.googlecode.com/files/%{realname}-%{version}.tar.bz2
# Source0-md5:	79bd4d4f3f06091159ee0d27a34921d5
%{?with_tests:BuildRequires:	check-devel >= 0.9.6}
BuildRequires:	gettext-devel
BuildRequires:	libpurple-devel
BuildRequires:	pkgconfig
Provides:	libpurple-protocol
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The project aims to have a much faster development process, low
barrier for contributions, and close contact with the user-base.

Compared to Pidgin's official MSN plug-in:
 - Faster log-in
 - Fewer connection issues
 - Fewer crashes
 - Experimental direct connection support (fast file transfers)
 - Server-side storage for display names (private alias)
 - Support for handwritten messages (read-only)
 - Support for voice clips (receive-only)
 - Support for Plus! sounds (receive-only)
 - Option to hide Plus! tags

Other features:
 - Support for personal status messages
 - Support for offline messaging (read-only)
 - Send custom emoticons (Pidgin >= 2.5)

%prep
%setup -q -n %{realname}-%{version}

%build
%{__make} \
	CFLAGS="%{rpmcflags}" \
	Q=""

%install
rm -rf $RPM_BUILD_ROOT
install -Dp libmsn-pecan.so $RPM_BUILD_ROOT%{_libdir}/purple-2/libmsn-pecan.so
%{__make} install_locales \
	Q="" \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang libmsn-pecan

%if %{with tests}
%{__make} -C tests clean
%{__make} -C tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f libmsn-pecan.lang
%defattr(644,root,root,755)
%doc AUTHORS TODO README pidgin-copyright ChangeLog
%attr(755,root,root) %{_libdir}/purple-2/libmsn-pecan.so
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libpurple-protocol-msn-pecan.git;a=log;h=master

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> 6438478
- Up to 0.1.3

* Sat May 07 2011 Caleb Maclennan <caleb@alerque.com> 2f9e33d
- Up to 0.1.2

* Fri Oct 22 2010 Caleb Maclennan <caleb@alerque.com> c2898b1
- Up to 0.1.1

* Sun May 16 2010 sparky <sparky@pld-linux.org> 8ae48ac
- BR: pkgconfig
- replaced BR: gettext with BR: gettext-devel

* Mon Apr 26 2010 Elan Ruusamäe <glen@pld-linux.org> 74385d6
- needs check 0.9.6 for ck_assert_str_eq
- provide libpurple-protocol

* Mon Apr 26 2010 Elan Ruusamäe <glen@pld-linux.org> 0e1d0b6
- new, based on fc spec

